# Quick branch overview

We work with several branches in this repo. This document aims to explain how
to contribute changes to the existing branches.

### `main` branch

- Changes to `modules` and `profiles` should go [the main branch](https://git.pub.solar/pub-solar/os/src/branch/main)
- Changes can get accepted via: Pull Request
- Branch protected from direct `git push`

### `infra` branch

- Changes to the [pub.solar](https://pub.solar) infrastructure should be merged [into this branch](https://git.pub.solar/pub-solar/os/src/branch/infra)
- Changes can get accepted via: Pull Request
- Branch protected from direct `git push`

### `momo/main` branch

- Changes to the [Momo](https://momo.koeln) infrastructure should be merged [into this branch](https://git.pub.solar/pub-solar/os/src/branch/momo/main)
- Changes can get accepted via: Pull Request
- Deployment of changes is [automatic via CI pipeline](https://git.pub.solar/pub-solar/os/src/commit/43bd7421509f7cc9ba06d7c740f3f536a4a2af76/.drone.yml#L20-L38)
- Branch protected from direct `git push`

### `$USER` branches

- User's custom hosts and changes can be worked on in these branches
- Direct `git push` possible
- Examples:
  - [hensoko](https://git.pub.solar/pub-solar/os/src/branch/hensoko)
  - [b12f](https://git.pub.solar/pub-solar/os/src/branch/b12f)
  - [axeman](https://git.pub.solar/pub-solar/os/src/branch/axeman)
  - [teutat3s](https://git.pub.solar/pub-solar/os/src/branch/teutat3s)
