{
  config,
  pkgs,
  lib,
  flake,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;
in {
  config = {
    age.secrets.docker-ci-runner-secrets = {
      file = "${flake.self}/secrets/docker-ci-runner-secrets.age";
      mode = "600";
      owner = "999";
    };

    pub-solar.terminal-life.full = true;
    #pub-solar.docker-ci-runner = {
    #  enable = false;
    #  runnerEnvironment = {
    #    DRONE_RUNNER_CAPACITY = "1";
    #    DRONE_RUNNER_LABELS = "hosttype:baremetal";
    #  };
    #  runnerVarsFile = config.age.secrets.docker-ci-runner-secrets.path;
    #};

    boot.binfmt.emulatedSystems = ["aarch64-linux"];

    services.fstrim.enable = true;

    services.tailscale.enable = true;

    networking.hostName = "ryzensun";

    home-manager.users."${psCfg.user.name}".xdg.configFile = {
      "sway/config.d/10-custom-keybindings.conf".source = ./.config/sway/config.d/custom-keybindings.conf;
      "sway/config.d/autostart.conf".source = ./.config/sway/config.d/autostart.conf;
      "sway/config.d/input-defaults.conf".source = ./.config/sway/config.d/input-defaults.conf;
      "sway/config.d/screens.conf".source = ./.config/sway/config.d/screens.conf;
    };

    # This value determines the NixOS release from which the default
    # settings for stateful data, like file locations and database versions
    # on your system were taken. It‘s perfectly fine and recommended to leave
    # this value at the release version of the first install of this system.
    # Before changing this value read the documentation for this option
    # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
    system.stateVersion = "21.05"; # Did you read the comment?
  };
}
