pkgs: {
  Unit = {
    Description = "Swaync notification daemon";
    Documentation = "https://github.com/ErikReider/SwayNotificationCenter";
    BindsTo = ["sway-session.target"];
    After = ["sway-session.target"];
    Requisite = ["graphical-session.target"];
    # ConditionEnvironment requires systemd v247 to work correctly
    ConditionEnvironment = ["WAYLAND_DISPLAY"];
  };
  Service = {
    Type = "dbus";
    BusName = "org.freedesktop.Notifications";
    ExecStart = "${pkgs.swaynotificationcenter}/bin/swaync";
    ExecReload = "${pkgs.swaynotificationcenter}/bin/swaync-client --reload-config ; ${pkgs.swaynotificationcenter}/bin/swaync-client --reload-css";
    Restart = "on-failure";
  };
  Install = {
    WantedBy = ["sway-session.target"];
  };
}
