self:
with self;
let
  straight-plugin = python3.pkgs.buildPythonPackage rec {
    pname = "straight-plugin";
    version = "1.5.0";

    src = fetchPypi {
      pname = "straight.plugin";
      inherit version;
      sha256 = "818a7641068932ed6436d0af0a3bb77bbbde29df0a7142c8bd1a249e7c2f0d38";
    };

    meta = with lib; {
      description = "A simple namespaced plugin facility";
      homepage = https://github.com/ironfroggy/straight.plugin;
      license = licenses.mit;
      maintainers = [ maintainers.makefu ];
    };
  };
in
python3.pkgs.buildPythonPackage {
  name = "env";
  src = fetchFromGitHub {
    owner = "makefu";
    repo = "prison-break";
    rev = "15079bb094d37eeba92e17abfb98523076c5800c";
    sha256 = "sha256-MDzAmeJ6wsTm5+unIsYAZmErVN4sEAfih3YwbXkVIPg=";
  };
  propagatedBuildInputs = with python3.pkgs;[
    docopt
    requests
    beautifulsoup4
    notify2
    straight-plugin
  ];
  patches = [
    ./prison-break-url.patch
  ];
  checkInputs = [ python3.pkgs.black ];
}
