{
  config,
  pkgs,
  lib,
  flake,
  ...
}: let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users.${psCfg.user.name}.xdg;
in {
  imports = [
    ./home.nix
  ];

  config = {
    age.secrets.environment-secrets = {
      file = "${flake.self}/secrets/environment-secrets.age";
      mode = "400";
      owner = psCfg.user.name;
    };

    age.secrets.github-api-token = {
      file = "${flake.self}/secrets/github-api-token.age";
      mode = "400";
      owner = psCfg.user.name;
      path = "/home/${psCfg.user.name}/.local/share/github/api-token";
    };

    pub-solar = {
      user = {
        name = "teutat3s";
        fullName = "teutat3s";
        email = "10206665+teutat3s@users.noreply.github.com";
        gpgKeyId = "18DAE600A6BBE705";
        password = "$6$guLp1v0G0TxGThXX$y7YeEcYjFpN6gutLCbvAkqppOVLYZjfo4DxofrMm6a9MIjVoKKaY20UzityJsHbQU4THIFfj8gLWVOjyjL.P2.";
        publicKeys = [
          "ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBFro/k4Mgqyh8yV/7Zwjc0dv60ZM7bROBU9JNd99P/4co6fxPt1pJiU/pEz2Dax/HODxgcO+jFZfvPEuLMCeAl0= YubiKey #10593996 PIV Slot 9a"
        ];
      };
    };
  };
}
