{
  config,
  pkgs,
  lib,
  flake,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;
in {
  config = {
    age.secrets."mnx-bonanza-pf1.ovpn" = {
      file = "${flake.self}/secrets/mnx-bonanza-pf1.ovpn.age";
      mode = "600";
      owner = psCfg.user.name;
    };

    environment = {
      systemPackages = with pkgs; [
        networkmanager-fortisslvpn
        networkmanager-openconnect
      ];
    };

    services.openvpn.servers = {
      bonanzaVPN = {
        config = ''config ${config.age.secrets."mnx-bonanza-pf1.ovpn".path}'';
        autoStart = false;
      };
    };

    programs._1password-gui = {
      enable = true;
      polkitPolicyOwners = ["teutat3s"];
    };
    programs._1password.enable = true;

    home-manager = pkgs.lib.setAttrByPath ["users" psCfg.user.name] {
      home.packages = with pkgs; [
        zoom-us
        slack
        prr
        tmate
      ];
    };
  };
}
